%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname ZopeScheduler
%define productver  0.2

Name:               zope-%{productname}
Summary:            A Zope product: Zope Scheduler
Version:            %{productver} 
Release:            1ogger00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0, python2.3
License:            GPL
URL:                http://dev.legco.biz/products/ZopeScheduler/
Source:             %{productname}-%{productver}.tar.gz
Source1:            TimerService-0.2.tar.gz
Vendor:             OGGER
Distribution:       Zope
Packager:           Ogger <ogger@ya.com>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch

#----------------------------------------------------------------------
%description
Cron like service for zope

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

# The author compressed the archive two times, so in order to package
# this product you must first decompress it:
# gzip -dc ZopeScheduler-0.2.tar.gz > tmp.tar.gz
# mv tmp.tar.gz ZopeScheduler-0.2.tar.gz

%setup -b 1 -D -T -n TimerService
%setup -D -T -n %{productname}

#----------------------------------------------------------------------
%build


#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

cd $RPM_BUILD_DIR/TimerService
%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/TimerService
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/TimerService
cd $RPM_BUILD_ROOT%{zopeproductsdir}/TimerService/timerserver
python2.3 setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CREDITS.txt README.txt version.txt

%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/TimerService
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/TimerService/*
%attr(-, %{zopeuser}, %{zopeuser}) %dir /usr/lib/python2.3/site-packages/timerserver
%attr(-, %{zopeuser}, %{zopeuser}) /usr/lib/python2.3/site-packages/timerserver/*


%post
echo "to active the TimerService include in the zope.conf file:"
echo "%import timerserver"
echo "<timer-server>"
echo "</timer-server>"

%postun
if [ $1 = 0 ]; then
    %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Mon Jun 14 2004 Ogger <ogger@oggers.net> 0.2-1ogger00
- Initial release
